{% extends 'Default/backend.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('edit-operator') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('edit-operator') }}
{% endblock %}

{% block main_content %}
  <section id="intro" class="my-4 mx-5">
    <div class="row">
      <div class="col-lg-12">
        <h2>{{ 'nav.admin.operatori' | trans }}</h2>
      </div>
    </div>


    <div class="col-lg-12 mt-4">
      <!-- Insert this where you want the table to appear -->
      <div id="operators" data-config="{{ datatable_settings(datatable)|url_encode }}"></div>
      <!-- Insert this at the end of your body element, but before the closing tag -->
    </div>
    <div class="col-12">
      <div class="dropdown mt-3">
        <button class="btn btn-primary dropdown-toggle" type="button" id="createOperatorButton" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">
          {{ 'aggiungi'|trans }}
          <svg class="icon-expand icon icon-sm icon-light">
            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-expand"></use>
          </svg>
        </button>
        <div class="dropdown-menu" aria-labelledby="createOperatorButton">
          <a class="dropdown-item"
             href="{{ path('admin_operatore_new') }}">{{ 'nav.admin.create_new_operator'|trans }}</a>
          {% if is_granted('ROLE_ADMIN') %}
            <a class="dropdown-item"
               href="{{ path('admin_operatore_new', { 'system_user': 'true' }) }}">{{ 'nav.admin.create_new_system_user'|trans }}</a>
          {% endif %}
        </div>
      </div>
    </div>
    </div>
  </section>
{% endblock %}
